[med-svn] [Git][med-team/orthanc-wsi][master] 7 commits: Configured gbp.conf for debian-tests-data

Israel Komolehin (@Komolehin) gitlab at salsa.debian.org
Wed Oct 18 19:05:11 BST 2023



Israel Komolehin pushed to branch master at Debian Med / orthanc-wsi


Commits:
c7a23923 by Komolehin Israel Timilehin at 2023-10-18T17:26:05+00:00
Configured gbp.conf for debian-tests-data

- - - - -
3f123956 by Komolehin Israel Timilehin at 2023-10-18T17:27:07+00:00
New upstream version 2.0+dfsg
- - - - -
43e44f85 by Komolehin Israel Timilehin at 2023-10-18T17:27:09+00:00
Update upstream source from tag 'upstream/2.0+dfsg'

Update to upstream version '2.0+dfsg'
with Debian dir 957e42a328011b02021f50bfc623a16c4ed9352a
- - - - -
367a2263 by Komolehin Israel Timilehin at 2023-10-18T17:32:50+00:00
Configured tests/control for autopkgtest

- - - - -
bb1484d1 by Komolehin Israel Timilehin at 2023-10-18T17:35:01+00:00
Created test for dicom image transcode

- - - - -
e19062ba by Komolehin Israel Timilehin at 2023-10-18T17:35:37+00:00
Created test for sample dataset generation

- - - - -
e709e1f0 by Komolehin Israel Timilehin at 2023-10-18T17:39:46+00:00
Updated debian/changelog

- - - - -


6 changed files:

- + debian-tests-data/CMU-1-Small-Region.tiff
- debian/changelog
- + debian/gbp.conf
- + debian/tests/control
- + debian/tests/run-dicom-image-transcode-test
- + debian/tests/run-generate-dataset-test


Changes:

=====================================
debian-tests-data/CMU-1-Small-Region.tiff
=====================================
Binary files /dev/null and b/debian-tests-data/CMU-1-Small-Region.tiff differ


=====================================
debian/changelog
=====================================
@@ -1,3 +1,13 @@
+orthanc-wsi (2.0+dfsg-2) UNRELEASED; urgency=medium
+
+  * Configured gbp.conf for debian-tests-data
+  * New upstream version 2.0+dfsg
+  * Configured tests/control for autopkgtest
+  * Created test for dicom image transcode
+  * Created test for sample dataset generation
+
+ -- Komolehin Israel Timilehin <komolehinisrael at gmail.com>  Wed, 18 Oct 2023 17:39:06 +0000
+
 orthanc-wsi (2.0+dfsg-1) unstable; urgency=medium
 
   * New upstream version


=====================================
debian/gbp.conf
=====================================
@@ -0,0 +1,4 @@
+[DEFAULT]
+pristine-tar=True
+filter=[ '.gitignore', '.travis.yml', '.git*'  ]
+component=['debian-tests-data']


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-generate-dataset-test, run-dicom-image-transcode-test
+Depends: orthanc, orthanc-wsi
+Restrictions: needs-root, allow-stderr


=====================================
debian/tests/run-dicom-image-transcode-test
=====================================
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -e
+
+pkg=orthanc-wsi
+CUR_DIR=`pwd`
+service_name=orthanc
+orthanc_server="http://localhost:8042"
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp ${CUR_DIR}/debian-tests-data/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+# Check if user 'orthanc' exists
+if getent passwd orthanc > /dev/null 2>&1; then
+    echo "User 'orthanc' exists."
+else
+	adduser --system --group orthanc
+    echo "User 'orthanc' added."
+fi
+
+
+# Start the orthanc service
+/etc/init.d/$service_name start
+
+if [ $? -eq 0 ]; then
+    echo "Orthanc is active."
+else
+    echo "Orthanc is not active."
+fi
+
+
+# Transcode data and push to server
+OrthancWSIDicomizer CMU-1-Small-Region.tiff --orthanc=$orthanc_server
+
+
+if [ $? -eq 0 ]; then
+    echo "TIFF transcoded and pushed to Orthanc server"
+fi
\ No newline at end of file


=====================================
debian/tests/run-generate-dataset-test
=====================================
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+pkg=orthanc-wsi
+filename="dataset.json"
+
+if [ "$AUTOPKGTEST_TMP" = ""  ]; then
+	# create the tmp directory
+	AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXX`
+
+	# clean the directory upon detection of any of these signals
+	trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+
+fi
+
+# change working directory
+cd $AUTOPKGTEST_TMP
+
+# Generate sample dataset
+OrthancWSIDicomizer --sample-dataset > $filename
+
+# Check if $filename exists
+if [ -f "$filename" ]; then
+    echo "$filename exists, proceeding to remove it..."
+    rm "$filename"
+    echo "$filename removed successfully."
+    # Exit with success status
+    exit 0
+else
+    echo "$filename does not exist, script will exit with failure."
+    # Exit with failure status
+   exit 1
+fi



View it on GitLab: https://salsa.debian.org/med-team/orthanc-wsi/-/compare/7e364e52f711ccd0b8288087113b5a8ae5342868...e709e1f0ef7fc102af6e8e4d18b35dc3c7fa6a17

-- 
View it on GitLab: https://salsa.debian.org/med-team/orthanc-wsi/-/compare/7e364e52f711ccd0b8288087113b5a8ae5342868...e709e1f0ef7fc102af6e8e4d18b35dc3c7fa6a17
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231018/b4f88d88/attachment-0001.htm>


More information about the debian-med-commit mailing list